name: gcc
version: 9.1.0
release: 2
sources: https://ftp.gnu.org/gnu/gcc/gcc-%{version}/gcc-%{version}.tar.xz
dependencies:
	- gmp
	- mpfr
	- mpc
	- binutils

dirname: build
@configure
	mkdir %{dirname}
	cd %{dirname}

	if [ "$(uname -m)" = x86_64 ]; then
		sed -e '/m64=/s/lib64/lib/' ../gcc-%{version}/gcc/config/i386/t-linux64 > tmp
		mv tmp ../gcc-%{version}/gcc/config/i386/t-linux64
	fi

	../gcc-%{version}/configure \
		--prefix=/usr \
		--libdir=/usr/lib \
		--disable-multilib \
		--disable-libssp \
		--disable-libmpx \
		--disable-libmudflap \
		--disable-libsanitizer \
		--disable-nls \
		--disable-werror \
		--enable-languages=c,c++ \
		--target=x86_64-weird-linux-musl \
		--build=x86_64-weird-linux-musl \
		--host=x86_64-weird-linux-musl

